import React from 'react';
interface Props {
    date: any;
    min: any;
    max: any;
    onDateChanged: any;
}
interface State {
    current: any;
    month: any;
    year: any;
    mindate: Date;
    maxdate: Date;
    today: Date;
}
declare class Calendar extends React.Component<Props, State> {
    state: State;
    pressureShift: any;
    pressureTimeout: any;
    pressureTimer: any;
    dayTimeout: any;
    stateFromDate({ date, min, max }: any): {
        current: any;
        month: number;
        year: number;
        mindate: any;
        maxdate: any;
    };
    stateFromProp(): {
        current: any;
        month: number;
        year: number;
        mindate: any;
        maxdate: any;
    };
    changeHandler: (date: Date) => () => void;
    calendarWithinRange(date: Date, { maxdate, mindate }?: State): boolean;
    getCalendarDates: () => any[][];
    gotoDate: (date: Date) => (evt: any) => void;
    gotoPreviousMonth: () => void;
    gotoNextMonth: () => void;
    gotoPreviousYear: () => void;
    gotoNextYear: () => void;
    handlePressure: (evt: any) => (fn: any, fnShift: any) => void;
    handlePressureKeyup: (evt: any) => void;
    handlePressureKeydown: (evt: any) => void;
    clearPressureTimer: () => void;
    clearDayTimeout: () => void;
    handlePrevious: (evt: any) => void;
    handleNext: (evt: any) => void;
    renderMonthAndYear: () => JSX.Element;
    renderDayLabels: (day: any) => JSX.Element;
    renderCalendarDate: (date: any) => JSX.Element;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default Calendar;
