import React from 'react';
interface Props {
    label: string;
    min: string;
    max: string;
}
interface State {
    date: string;
    min: any;
    max: any;
    calendarOpen: any;
}
declare class Datepicker extends React.Component<Props, State> {
    state: State;
    toggleCalendar: () => void;
    handleChange: (evt: any) => any;
    handleDateChange: (date: Date) => void;
    get value(): string;
    get date(): Date | null;
    get mindate(): Date | null;
    get maxdate(): Date | null;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    render(): JSX.Element;
}
export default Datepicker;
